<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateResponseTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
        Schema::create('myadmin_credit_responses', function($table){
            $table->increments('id');
            $table->string('tradeNo', 20)->nullable();
            $table->integer('charge_fee')->unsigned();
            $table->integer('gwsr');
            $table->integer('eci');
            $table->string('auth_code', 6)->nullable();
            $table->string('card4no', 4)->nullable();
            $table->string('card6no', 6)->nullable();
            $table->string('trade_status', 20)->nullable();
            $table->timestamp("payment_date");
        });
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
        Schema::drop('myadmin_credit_responses');
	}

}
