@extends('Myadmin::layout.basic')

@section('header')
<script src="{{ App::make("myadmin")->asset('/ckeditor/ckeditor.js') }}"></script>
@stop

@section('content')
<div class="span10 offset1">
    {{ Form::model($article, array(
        'route' => array($_CONST["CONTROLLER_ROUTE"].'.update', $article->id),
        'class' =>'form-horizontal well',
        'method' => 'put'
    ))}}
    <div class="form-group ">
        <label class="col-sm-2 control-label">標題</label>
        <div class="col-sm-10">
            {{ Form::text('title', null, array('class'=>'form-control'));}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">分類名稱</label>
        <div class="col-sm-10">
            {{ Input::get('category') ?
                Form::select('category_id', $option, $default, array('class'=>'form-control'))
                :Form::select('category_id', $option, null, array('class'=>'form-control'))}}
        </div>
    </div>
    <div class="form-group ">
        <label class="col-sm-2 control-label">文章內容：</label>
        <div class="col-sm-10">
            {{ Form::textarea('origin_content', null, array('class' => 'input-xxlarge'))}}
        </div>
    </div>
    <div class="form-group">
        <label class="col-sm-2 control-label"></label>
        <div class="col-sm-10">
            <input type="submit" name="" value="編輯完成" class="btn btn-primary"  />
        </div>
    </div>
    {{ Form::close()}}
    <script type="text/javascript" charset="utf-8">
        @include('Myadmin::js.ckeditor', array(
            'target' => 'origin_content',
        ))
    </script>
</div>
@stop
