<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOperatorLogTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('operator_log', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('admin_id')->unsigned()->nullable();
			$table->string('operator');
			$table->timestamps();
			
			$table->foreign('admin_id')->references('id')->on('administrators')->onDelete('cascade');
		});

	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		//
		Schema::dropIfExists('operator_log');
	}

}
