@extends('Myadmin::layout.basic')

@section('header')
    <style>
        #header {
            background:#8d1c22;
        }

        .form-inline {
            margin:10px;
        }
        #content .table {
            font-size:12px;
        }
    </style>
@stop

@section('content')
<div class="row-fluid">
    <div class="span9">
    </div>
    <div>
        <h4 class="nametag">使用者管理系統</h4>
        <hr>

<h5>{{Session::get('message')}}</h5>

	@if($errors->any())
	<div class="alert alert-danger">
	  <button type="button" class="close" data-dismiss="alert">&times;</button>
	  <strong>錯誤!</strong> {{$errors->first()}}
	</div>
	@endif

    <form method="POST" action="{{URL::to('/admin/user/add-user')}}" accept-charset="UTF-8" class="form-horizontal well" enctype="multipart/form-data"><input name="_token" type="hidden" value="XWC08YUjB9ToCYXsG2TsZa8h44ihDZeaAT4lGq24">
	<div class="form-group">
                    <label class="col-sm-2 control-label">註冊時間</label>
                    <div class="col-sm-10">
                                {{ Form::text('register-time','', array('class' => 'form-control')) }}
                    </div>
        </div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">帳    號</label>
        	<div class="col-sm-10">
		{{Form::text('account', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">密    碼</label>
        	<div class="col-sm-10">
        	<!--input type="password" name="userPassword" class="form-control" -->
		{{Form::password('userPassword', array('class' => 'form-control'))}}
		</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">種     類</label>
        	<div class="col-sm-10">
			{{Form::select('level', array('一般帳戶'=>'一般帳戶','種子帳戶'=>'種子帳戶'),'種子帳戶',['class'=> 'form-control'])}}
        	</div>
    	</div>
        <div class="form-group">
                <label class="col-sm-2 control-label">登入方式</label>
                <div class="col-sm-10">
                        {{ Form::select('login-type', array('NINETEN' => 'NINETEN', 'Facebook' => 'Facebook'),'NINETEN',['class' => 'form-control']) }}
                </div>
        </div>
        <div class="form-group">
                <label class="control-label col-sm-2">帳戶權限</label>
                <div class="col-sm-10">
                        {{ Form::select('authority', array('一般' => '一般', '特殊' => '特殊'),'特殊',['class' => 'form-control']) }}
                </div>
        </div>
        <div class="form-group">
                <label class="control-label col-sm-2">帳戶狀態</label>
                <div class="col-sm-10">
                        {{ Form::select('status', array('正常' => '正常', '停權' => '停權'), '正常',['class' => 'form-control']) }}
                </div>
        </div>
        <div class="form-group">
                <label class="control-label col-sm-2">會員姓名</label>
                <div class="col-sm-10">
                        {{ Form::text('name','', array('class' => 'form-control')) }}
               </div>
        </div>
        <div class="form-group">
                <label class="control-label col-sm-2">性    別</label>
                <div class="col-sm-10">
                        {{ Form::select('gender', array('男' => '男','女' => '女'), '男',['class' => 'form-control']) }}
                </div>
        </div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">身份字號</label>
        	<div class="col-sm-10">
		{{Form::text('userId', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">出生日期</label>
        	<div class="col-sm-10">
        	<input type="date" name="birthday" class="form-control" />
		</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">手    機</label>
        	<div class="col-sm-10">
		{{Form::text('phone', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">信    箱</label>
        	<div class="col-sm-10">
		{{Form::text('email', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<div class="form-group ">
        	<label class="col-sm-2 control-label">地    址</label>
        	<div class="col-sm-10">
		{{Form::text('address', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<div class="form-group ">
       		<label class="col-sm-2 control-label">parents mail</label>
        	<div class="col-sm-10">
		{{Form::text('parentId', '', array('class' => 'form-control'))}}
        	</div>
    	</div>
    	<hr>
    	<div class="form-group">
        	<label class="col-sm-2 control-label"></label>
        	<div class="col-sm-10">
            	<input type="button" class="btn btn-default" onClick="window.location.href='{{URL::to('/admin/user/manage')}}';" value="Cancel" />
			<input type="submit" name="" value="新增" class="btn btn-primary"  />
        	</div>
    	</div>
    </form>
</div>
</div>
<script language="JavaScript">

            $(document).ready(function(){
                setInterval(function(){$("[name=register-time]").val(getCurrentDate());},1000);
            });
</script>
@stop	

